%define module		Net-Interface
%define name		perl-%{module}
%define version		0.09
%define release		%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary: 	Perl extension to access network interfaces
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/MIKER/%{module}-%{version}.tar.bz2
Patch0:         Net-Interface-0.04_2-irq.patch
Patch1:         Net-Interface-0.04_2-linux.patch
Url:            http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Net::Interface is designed to make the use of ifconfig(1) and friends
unnecessary from within Perl.  It provides methods to get at set all the
attributes of an interface, and even create new logical or physical interfaces
(if your O/S supports it).

%prep
%setup -q -n %{module}-%{version}
%patch -p1
%patch1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README README.jdp
%{_mandir}/man3/*
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net



%changelog
* Sun Aug 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2009.0
+ Revision: 277963
- update to new version 0.09

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-6mdv2009.0
+ Revision: 258014
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-5mdv2009.0
+ Revision: 246121
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-3mdv2008.1
+ Revision: 152219
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.08-2mdv2008.0
+ Revision: 25274
- rebuild


* Thu Apr 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.08-1mdk
- New release 0.08
- Change Source url

* Fri Mar 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk
- New release 0.06
- spec cleanup

* Tue Nov 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.04_2.1-8mdk
- Rebuild for new perl

* Tue Nov 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04_2.1-7mdk
- patch 2: on Linux, just ask the number of interfaces and allocate needed space

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.04_2.1-6mdk
- Use %%makeinstall_std now that it works on klama

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.04_2.1-5mdk
- Use %%make and %%makeinstall

* Fri Aug 01 2003 Ben Reser <ben@reser.org> 0.04_2.1-4mdk
- macroification, specifically for the perl stuff so it will build across
  changing perl versions.
- Fix ownership of man3 dir

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04_2.1-3mdk
- rebuild for new auto{prov,req}

* Wed May 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.04_2.1-2mdk
- use vendor_perl
- from Peter Chen <petechen@netilla.com> :
	- 0.04_2.1
	- Added a patch to provide an additional method, irq().  This patch
  	has been submitted to the author.

